.header {
  @include position($position: fixed, $top: 0, $left: 0);
  width: 100%;
  z-index: 9998;

  a {
    font-size: 13px;
    font-weight: bold;
  }

  .logo {
    width: 20%;
    margin-left: 20px;
    z-index: 10;
    position: relative;
  }

  .nav {
    @include flex($display: flex, $justify: center, $align: center);
    width: 70%;
    padding: 20px 20px 0 30%;
    @media #{$iPad-pro}{
      padding-left: 15%;
    }
    @media #{$iPad}{
      display: none;
      padding: 0;
      ul {
        li {
          padding-left: 20px;
        }
      }

      &.open {
        @include flex($display: flex, $justify: center, $align: center);
        width: 100%;
        position: fixed;
        height: 100%;
        z-index: 9;
        top: 0;
        left: 0;
        background-color: $black;

        ul {
          li {
            display: block;
            text-align: center;

            a {
              font-size: 24px;
              font-weight: normal;
            }
          }
        }
      }
    }

    ul {
      li {
        padding: 10px;

        a {
          color: $white;

          &:after {
            content: '';
            display: block;
            width: 0;
            height: 2px;
            background: $white;
            transition: width .3s;
          }

          &:hover::after {
            width: 100%;
          }
        }
      }
    }
  }
}

.sticky-footer {
  @include position($position: fixed, $bottom: 0);
  width: 100%;
  z-index: 9997;
  background-color: rgba(0, 0, 0, 0.7);
  padding: 20px;

  button {
    cursor: pointer;
    background-color: #19B7EA;
    color: $white;
    padding: 5px 15px 5px 15px;
    font-weight: bold;
  }
}

.ham {
  position: fixed;
  width: 100%;
  height: 44px;
  display: none;
  z-index: 10;
}

.hamburger {
  float: right;
  padding: 20px 40px 0 0;
  @media #{$mobile}{
    padding-right: 0;
  }
}

.hamburger div {
  height: 4px;
  width: 40px;
  background: $white;
  margin-bottom: 3px;
  transition: 300ms all ease-in-out;
}

@media #{$iPad}{
  .ham {
    display: block;
    padding: 10px;

    .hamburger {
      &.open {
        #top-bun {
          margin: 0;
          transform: rotate(-45deg);
        }

        #patty {
          display: none;
        }

        #bottom-bun {
          transform: rotate(45deg);
          margin: 0;
        }
      }
    }
  }
}